<?php
/**
* @version 1.0 $
* @package Flash Mp3 Player
* @copyright (C) 2007 Daniel Gutirrez Oroncuy
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*
*********************************************************************************************
* Integration of Mp3 Player Flash Created by Jeroen Wijering http://jeroenwijering.com      *
* Module Developed by INFINITY to [Geek - Team] originaly in Spanish. http://geek-team.net  *
*********************************************************************************************
*
* Versin 1.0: 
*             Integration Flash Mp3 Player to Joomla Module  
* Versin 1.1:
*             Add parameters:
*             - height				- playlist
*             - width				- bgcolor
* Versin 1.2:
*             Replace param bgcolor by style(config.xml)
* Versin 1.3:
*             Add parameters(User Comments):
*			  - show				- big_image
*			  - big_own				- small_image
*			  - small_own			- bg_popup
*			  - text_link			- text_color	
*			  Mp3 Player Pop Up, with the help of S@ncho http://www.gusanos-udea.org
*/

//Direct Access Disallowed
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
	global $database;
  $showdisplay		= "images/stories/kalender/";
  $showplaylist		= "yes";
  $autostart		= "yes";
  $playlistfile		= "modules/mod_mp3player_files/playlist.xml";

  createPlaylist($playlistfile, $showdisplay, $showplaylist, $autostart, $playlistfile, $width, $height);	





$width			=	$params->get( 'width', 300 );
$height			=	$params->get( 'height', 200 );
$playlist		= 	$params->get( 'playlist' );
$style			=	$params->get( 'style' );
$show			=	$params->get( 'show' );
$big_image		=	$params->get( 'big_image' );
$big_own		=	$params->get( 'big_own' );
$small_image	=	$params->get( 'small_image' );
$small_own		=	$params->get( 'small_own' );
$bg_popup		=	$params->get( 'bg_popup');
$text_link		=	$params->get( 'text_link' );
$text_color		=	$params->get( 'text_color' );

$path_files		= 	$mosConfig_live_site.'/modules/mod_mp3player_files';



//Show Objects
require_once( $mosConfig_absolute_path.'/modules/mod_mp3player_files/mp3player.php' );

switch($show)
{
	case 1:
			Flash_Mp3_Player( $width, $height, $playlist, $style, $path_files );
			break;
	case 2:
			if($big_image==1)
			{
		  		echo $image_big;
		  	}
		  	else
		  	{
		  		echo $image_big_own;
		  	}
		  	break;
	case 3: 
			Flash_Mp3_Player( $width, $height, $playlist, $style, $path_files );
			if($small_image==1)
			{
		  		echo $image_small;
		  	}
		  	else
		  	{
		  		echo $image_small_own;
		  	}
		  	break;
	default:
			print "Configure el Mdulo";
}


function createPlaylist($file, $showdisplay, $showplaylist, $autostart, $playlistfile, $width, $height)
{
	global $database, $mosConfig_absolute_path;
	$database->SetQuery("SELECT * FROM #__mp3player ORDER BY ordering");
	$rows = $database->loadObjectList();
	
	$playlist = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
	$playlist .= "<playlist version=\"1\" xmlns=\"http://xspf.org/ns/0/\">\n";
	$playlist .= "<info>http://www.sensikiller.fr</info>\n";
	$playlist .= "<trackList>\n";
	
	foreach($rows as $row)
	{
		$playlist .= "<track>\n";
		$playlist .= "<annotation>".$row->mp3_title."</annotation>\n";
		$playlist .= "<location>".$row->mp3_filename."</location>\n";
		$playlist .= "<info>".$row->mp3_info."</info>\n";
		$playlist .= "<image>".$row->mp3_image."</image>\n";
		$playlist .= "</track>\n";
		
	}
	$playlist .= "</playlist>";
	$thefile = fopen($mosConfig_absolute_path . "/" . $file, "w");
	fwrite($thefile, $playlist);
	fclose($thefile);
}

?>